[**@rxap/ngx-material-authentication v19.0.5-dev.0**](../README.md)

***

[@rxap/ngx-material-authentication](../globals.md) / LoginFormSubmitSuccessful

# Class: LoginFormSubmitSuccessful

Defined in: [login/login.form.ts:91](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L91)

## Implements

- `FormSubmitSuccessfulMethod`\<`any`\>

## Constructors

### new LoginFormSubmitSuccessful()

> **new LoginFormSubmitSuccessful**(`router`): [`LoginFormSubmitSuccessful`](LoginFormSubmitSuccessful.md)

Defined in: [login/login.form.ts:93](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L93)

#### Parameters

##### router

`Router`

#### Returns

[`LoginFormSubmitSuccessful`](LoginFormSubmitSuccessful.md)

## Methods

### call()

> **call**(): `Promise`\<`any`\>

Defined in: [login/login.form.ts:99](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L99)

#### Returns

`Promise`\<`any`\>

#### Implementation of

`FormSubmitSuccessfulMethod.call`
